<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>



<body>
    



    <script>

    var styles = new Array ();

        styles = ['"Джаз"', '"Блюз"'];
        document.write('1. Исходный Массив: ' + '[' + styles.join('; ') + ']' + '<br/>');

        styles.push('"Рок-н-Ролл"');
        document.write('2. Массив после добавления Рок-н-Ролл: '+ '[' + styles.join('; ') + ']' + '<br/>');

    var middle = styles.length / 2;
        middle = Math.floor(middle);


        styles[middle] = ('"Классика"');
        document.write('3. Массив после замены значения в середине: '+ '[' + styles.join('; ') + ']' + '<br/>');

    var Deleted_Element = styles.shift();

        document.write('4. Массив после удаления первого элемента: '+ '[' + styles.join('; ') + ']' + '<br/>');
        document.write('- Удаленный элемент: ' + Deleted_Element + '<br/>');

        styles.unshift('"Реп"', '"Реги"');
        document.write('5. Массив после добавления в начало элементов "Реп" и "Регги": '+ '[' + styles.join('; ') + ']' + '<br/>');

        
    //  document.write(middle);
    //  document.write(Math.floor(middle));
    </script>
</body>
</html>